Jump to content
zinzan

CMH & Engine 4.0 CMFI 2.0

Recommended Posts

Hi all,

Can't seem to get CMH (Combat Mission Helper) to work with current CMFI.  Anyone have any ideas whether an update will be needed?

Details CMFI version 2.0. Engine 4.0 (with GL)

CMH 1.7.5

Was working fine with all other CM games & was working with previous CMFI version.

Can do manually, it's just that I'm lazy.

 

Many thanks

 

Share this post


Link to post
Share on other sites

I'm using CMH 1.7.6-Beta, and it has continued to work as usual with Engine 4 / v2.0.

I also have a dual install, continuing with an old copy of CMFI as well to finish a game, and CMH also does both also as usual, running battles under both versions.

Any info on exactly when / what stopped working in CMH?

You can turn on its Log File: it might say what is not working for the CMFI install?

 

Share this post


Link to post
Share on other sites

Hmmm may have figured my problem.  (Hope so anyway)

Despite being convinced that I had deleted/uninstalled my previous version of CMFI (1.2)  It appears I still have it installed in another location (Doh)  CMH keeps picking that up as the install to use, but my only current PBeM CMFI game is version 2.0.

Thanks for the help/suggestions.

Share this post


Link to post
Share on other sites

OK I've managed to complete the uninstall of CMFI 1.2 (that I thought I'd done before) and CMH lays nice now - but it doesn't recognise CMFI 2.0. 

 

Any idea where I can get the 1.7.6 beta from (my google-foo is too lazy today)

Share this post


Link to post
Share on other sites

From here ...

https://www.dropbox.com/sh/jvh9sx2zla2k0eq/S6LZaVAw_7

 

But I don't think it should depend on this beta version ... not much different from  the previous version I think (cannot recall now what changed), and it certainly pre-dates the BF "v4" upgrades, so it wouldn't (I think) cope any better with the new CMFI than the older version of CMH did ...

 

Are you sure that you've pointed CMH to the right location of your new CMFI v 4 install?

 

When I upgrade my CMFI to v4 (on a Mac) , I upgraded my default-location copy and CMH just recognised it and ran with it without any adjustments at all ...

Share this post


Link to post
Share on other sites

FWIW, my CMH install of CMFI v2.00 / Game Engine 4 still describes it (in the "Your CM Installations" tab) as FI v120 game engine 3.0 ...

 

This is because (as I understand it) CMH cannot interrogate the CMFI files to determine unaided the actual version of CMFI as labelled by BF; rather GaJ has to update CMH to tell it what the latest version of CMFI is to look for (via the install's .brz files, I seem to recall, but possibly incorrectly ...)

 

So, I don't think CMH "knows" it is dealing with a newer version of CMFI ... but it still works anyway ... for me!

 

Share this post


Link to post
Share on other sites

Howdy again  Update foloows:

1. I've put a bug report in (via report button on CMH)  Had a reply and a bit of advice.  CMH now shows CMFI PBeM games ok,

2. Only Issue left : CMFI (4.0 patch) won't load from "Launch Game" button; but it's putting all save files in right place and transferring them to/from DropBox OK. 

3.So I'm happy :)

Share this post


Link to post
Share on other sites

Well, I'm glad you're happy!

 

You don't say what advice you got / was changed, but there is still an issue somewhere I suggest ... my CMH launches my CMFI v2.0 / game engine 4 perfectly as usual, so it sounds like there remains something not right with your CMH and the title installs that it recognises, that could be fixed ... somehow!

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×